LibreOffice LibreOffice 24.2 SDK C/C++ API Reference

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
cppu::UnoType< T > Class Template Reference

Get the css::uno::Type instance representing a certain UNO type. More...

`#include <unotype.hxx>`

## Public Member Functions
css::uno::Type const & | get ()

## Static Public Member Functions
static css::uno::Type const & | get ()

## Detailed Description

template<typename T>
class cppu::UnoType< T >

Get the css::uno::Type instance representing a certain UNO type.

For each C++ type representing a UNO type, the corresponding instantiation of this template has a public static member function get(). (The template is specialized for C++ templates representing polymorphic struct type templates of UNO. In those cases, it does not work to instantiate UnoType with a C++ type that is derived from a C++ type that represents a UNO type, but does not itself represent a UNO type. In all other cases, UnoType even works for such C++ types that are unambiguously derived from one C++ type that represents a UNO type.) In addition to those C++ types that are mappings of UNO types (except for sal_uInt16 and sal_Unicode, see below), the following C++ types are appropriate as template arguments: void, cppu::UnoVoidType, bool, cppu::UnoUnsignedShortType, cppu::UnoCharType, cppu::UnoSequenceType with any appropriate template argument (the latter three to unambiguously specify UNO types, as the UNO types UNSIGNED SHORT and CHAR map to the same C++ type), and css::uno::Reference with any appropriate template argument.

Since
  UDK 3.2.2

## Member Function Documentation

## ◆ get() [1/2]

template<typename T >

static css::uno::Type const & cppu::UnoType< T >::get | ( |  | ) |
| inline static

## ◆ get() [2/2]

css::uno::Type const & cppu::UnoType< void >::get | ( |  | ) |
| inline

The documentation for this class was generated from the following file:

- cppu/unotype.hxx